/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * PasswordRenderEdit.java
 *
 * Created on March 19, 2002, 11:56 AM
 */

package com.sun.enterprise.tools.common.properties;

/**
 *
 * @author  vkraemer
 * @version 
 */
public class PasswordRender extends javax.swing.JPasswordField implements javax.swing.table.TableCellRenderer {

    /** Creates new PasswordRenderEdit */
    public PasswordRender() {
    }

    /*public java.awt.Component getTableCellEditorComponent(javax.swing.JTable jTable, java.lang.Object obj, boolean param, int param3, int param4) {
        setText((String) obj);
        return this;
    }
    */
    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable jTable, java.lang.Object obj, boolean param, boolean param3, int param4, int param5) {
        setText((String) obj);
        return this;
    }
/*
    public java.lang.Object getCellEditorValue() {
        return getText();
    }

    public void cancelCellEditing() {
    }
    
    public void addCellEditorListener(javax.swing.event.CellEditorListener cellEditorListener) {
    }
    
    public void removeCellEditorListener(javax.swing.event.CellEditorListener cellEditorListener) {
    }
    
    public boolean stopCellEditing() {
        return true;
    }
    
    public boolean isCellEditable(java.util.EventObject eventObject) {
        return true;
    }
    
    public boolean shouldSelectCell(java.util.EventObject eventObject) {
        return true;
    }
    
*/
}
